...
/** 
 * Retrieve a map indicating the association between DeviceMapper
 * virtual device numbers and the relative Docker container Id
 * 
 * @return A map containing the association
 */
public Map<String, String> retrieveMapDmContainers() {
	Map<String, String> mappings = new HashMap();
		
	try{
		//Get the list of all container ids
		Process listOfContainerIds = Runtime.getRuntime().exec("docker ps -q");
		String id;
		BufferedReader br = new BufferedReader(new InputStreamReader(listOfContainerIds.getInputStream()));
		//Temporary mapping between devicename and containerid
		Map<String, String> devname_contid = new HashMap();
		while((id=br.readLine()) != null){
				
			//Get Device Name of this container				
			Process getDeviceName = Runtime.getRuntime().exec("docker inspect "+id);
			long startTime1 = System.currentTimeMillis();
			BufferedReader br2 = new BufferedReader(new InputStreamReader(getDeviceName.getInputStream()));
			String out;
			String deviceName;				
			while((out = br2.readLine()) !=null ){
				long insideStop = System.currentTimeMillis();
				writer.println(" -- Inside: "+(insideStop-startTime1));
				if(out.contains("DeviceName")){
					deviceName = out.split(": ")[1].replaceAll("\"", "").replaceAll(",", "");
					devname_contid.put(deviceName, id);
					break;
				}
			}
			getDeviceName.waitFor();
			getDeviceName.destroy();
			long stopTime1 = System.currentTimeMillis();
			writer.println("- Process: "+(stopTime1-startTime1));
		}
		//listOfContainerIds.waitFor();
		listOfContainerIds.destroy();
			
		long lsblkTime = System.currentTimeMillis();
		writer.println("After lsblk: "+(lsblkTime-startTime));

		//Analyze output of lsblk command to retrieve the final mapping
		Process lsblk = Runtime.getRuntime().exec("lsblk");
		br = new BufferedReader(new InputStreamReader(lsblk.getInputStream()));
		String line;
		while((line = br.readLine()) != null){
			if(line.contains("docker") && line.contains("dm")){
				String[] lineSplit = line.split("\\s+");
				String deviceName = lineSplit[1].substring(2);
				mappings.put(devname_contid.get(deviceName), lineSplit[2]);
			}
		}
		//lsblk.waitFor();
		lsblk.destroy();
			
		long stopTime = System.currentTimeMillis();
		long elapsedTime = stopTime - startTime;
		
		writer.println("Time: "+elapsedTime);
		writer.close();
		
	}
	catch (Exception e) {
		e.printStackTrace();
	}
	return mappings;
}
...