...
/** 
 * Retrieve a map indicating the association between DeviceMapper
 * virtual device numbers and the relative Docker container Id
 * 
 * @return A map containing the association
 */
public Map<String, String> retrieveMapDmContainers() {
	Map<String, String> mappings = new HashMap();
		
	try{
	
		PrintWriter writer = new PrintWriter(DEFAULT_HIS_PATH+"mappingMeasure.txt","UTF-8");

		long startTime = System.currentTimeMillis();

		Process mappingCommand = Runtime.getRuntime().exec("docker raInfo");
		BufferedReader br = new BufferedReader(new InputStreamReader(mappingCommand.getInputStream()));
		String lineMap;			
		while((lineMap=br.readLine())!=null){
			String[] lineSplit = lineMap.split(" ");
			mappings.put(lineSplit[0], lineSplit[1]);
		}
		
		long stopTime = System.currentTimeMillis();
		long elapsedTime = stopTime - startTime;
		
		writer.println("Time: "+elapsedTime);
		writer.close();
	
	}
	catch (Exception e) {
		e.printStackTrace();
	}
	return mappings;
}
...